The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Python: code execution via CJK Codec Tests eval

Synthesis of the vulnerability 

An attacker can use a vulnerability via CJK Codec Tests eval() of Python, in order to run code.
Vulnerable products: openSUSE Leap, Solaris, Python, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Severity of this weakness: 2/4.
Creation date: 06/10/2020.
Références of this bulletin: CVE-2020-27619, openSUSE-SU-2020:2332-1, openSUSE-SU-2020:2333-1, SUSE-SU-2020:3865-1, SUSE-SU-2020:3930-1, USN-4754-1, USN-4754-2, USN-4754-3, USN-4754-4, VIGILANCE-VUL-33492.

Description of the vulnerability 

An attacker can use a vulnerability via CJK Codec Tests eval() of Python, in order to run code.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This computer vulnerability impacts software or systems such as openSUSE Leap, Solaris, Python, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Our Vigil@nce team determined that the severity of this weakness bulletin is medium.

The trust level is of type confirmed by the editor, with an origin of internet server.

An attacker with a expert ability can exploit this weakness.

Solutions for this threat 

Python: version 3.9.1.
The version 3.9.1 is fixed:
  https://www.python.org/downloads/release/python-391/

Python: version 3.8.7.
The version 3.8.7 is fixed:
  https://www.python.org/downloads/release/python-391/

Python: patch for CJK Codec Tests eval.
A patch is indicated in information sources.

Python: workaround for CJK Codec Tests eval.
A workaround is to:
 - do not use the CJK Codec test suite ("make testall", "make testuniversal" or "make buildbottest")
 - do not use the "-u network" nor "-u all" option of "./python -m test"

openSUSE Leap 15.1-15.2: new python3 packages.
New packages are available:
  openSUSE Leap 15.1: python3 3.6.12-lp151.6.30.1
  openSUSE Leap 15.2: python3 3.6.12-lp152.4.12.2

Oracle Solaris: patch for third party software of January 2021 v3.
A patch is available:
  https://support.oracle.com/rs?type=doc&id=1448883.1

SUSE LE 12 SP5: new python36 packages (17/12/2020).
New packages are available:
  SUSE LE 12 SP5: python36 3.6.12-4.25.1

SUSE LE 15 RTM-SP3: new python3 packages.
New packages are available:
  SUSE LE 15 RTM: python3 3.6.12-3.67.2
  SUSE LE 15 SP1: python3 3.6.12-3.67.2
  SUSE LE 15 SP2: python3 3.6.12-3.67.2
  SUSE LE 15 SP3: python3 3.6.12-3.67.2

Ubuntu: new python packages.
New packages are available:
  Ubuntu 20.10: python3.8 3.8.6-1ubuntu0.2
  Ubuntu 20.04 LTS: python2.7 2.7.18-1~20.04.1, python3.8 3.8.5-1~20.04.2
  Ubuntu 18.04 LTS: python2.7 2.7.17-1~18.04ubuntu1.6, python3.6 3.6.9-1~18.04ubuntu1.4, python3.7 3.7.5-2~18.04.4, python3.8 3.8.0-3~18.04.1
  Ubuntu 16.04 LTS: python2.7 2.7.12-1ubuntu0~16.04.18, python3.5 3.5.2-2ubuntu0~16.04.13
  Ubuntu 14.04 ESM: python2.7 2.7.6-8ubuntu0.6+esm9, python3.4 3.4.3-1ubuntu1~14.04.7+esm10
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides applications vulnerabilities analysis. The Vigil@nce computer vulnerability tracking service alerts your teams of vulnerabilities or threats impacting your information system.